Get Schema

GET
/api/v1/sdk/schema

Header Parameters

x-distinct-id*string
x-publishable-key*string
x-client-bundle-id*string
x-client-locale?string|null
x-client-version?string|null
x-is-backgrounded*"false"

Value in

  • "false"
x-is-debug-build*string

Value in

  • "true"
  • "false"
x-nonce?string|null
x-observer-mode*string

Value in

  • "true"
  • "false"
x-platform*string
x-platform-brand?string|null
x-platform-device?string|null
x-platform-flavor*string

Value in

  • "native"
  • "browser"
x-platform-flavor-version?string|null
x-platform-version?string|null
x-preferred-locales?string|null
x-sdk*string

Value in

  • "react-native"
  • "web"
x-sdk-version*string
x-storefront?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/sdk/schema" \  -H "x-distinct-id: string" \  -H "x-publishable-key: string" \  -H "x-client-bundle-id: string" \  -H "x-is-backgrounded: false" \  -H "x-is-debug-build: true" \  -H "x-observer-mode: true" \  -H "x-platform: string" \  -H "x-platform-flavor: native" \  -H "x-sdk: react-native" \  -H "x-sdk-version: string"
{  "locations": {    "property1": {      "description": "string",      "name": "string",      "slug": "string"    },    "property2": {      "description": "string",      "name": "string",      "slug": "string"    }  },  "perks": {    "property1": {      "name": "string",      "slug": "string"    },    "property2": {      "name": "string",      "slug": "string"    }  },  "products": {    "property1": {      "configuration": {        "perks": {          "property1": true,          "property2": true        },        "providers": {          "appleAppStore": {},          "googlePlay": {}        }      },      "properties": {        "name": "string"      },      "slug": "string",      "type": "subscription"    },    "property2": {      "configuration": {        "perks": {          "property1": true,          "property2": true        },        "providers": {          "appleAppStore": {},          "googlePlay": {}        }      },      "properties": {        "name": "string"      },      "slug": "string",      "type": "subscription"    }  },  "version": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}